// $Id: share_plugin.js,v 1.1.2.1 2009/03/25 00:59:10 greenskin Exp $

Drupal.SharePlugin = Drupal.SharePlugin || {};
Drupal.SharePlugin.links = new Array();

Drupal.behaviors.share = function() {
  if (typeof Drupal.SharePlugin.migrate == 'function') {
    Drupal.SharePlugin.migrate();
  }
  else {
    Drupal.SharePlugin.init();
  }
}

Drupal.SharePlugin.init = function() {
  $("a.share-link").each(function(i) {
    var id = $(this).attr('id');
    Drupal.SharePlugin.links[id] = new Drupal.SharePlugin.share(this);
  });
}

Drupal.SharePlugin.share = function(object) {
  var self = this;

  this.share = $(object).parent();
  this.link = $(object);
  this.popup = $(this.share).children("div.share-popup");
  this.header = $(this.popup).children("div.share-header");
  this.menu = $(this.header).children("ul.share-menu").find('a');
  this.content = $(this.popup).children("div.share-content");

  // Set click if popup exists.
  if (this.popup.html()) {
    // Open/Close Share popup.
    this.link.unbind('click');
    this.link.click(function() {
      self.popup.animate({
        'height': 'toggle'
      }, 'fast');
      return false;
    });

    // Close Share popup.
    this.header.children("a.share-close").unbind('click');
    this.header.children("a.share-close").click(function() {
      self.popup.animate({
        'height': 'hide'
      }, 'fast');
      return false;
    });

    $.each(this.menu, function(j, n) {
      $(this).unbind('click');
      $(this).click(function() {
        var tabContent = 'div.' + $(this).parent().attr('class');
        if (sharePopup.find(tabContent).css('display') == 'none') {
          $.each(shareMenu, function(k, o) {
            var otherTabContent = 'div.'+ $(this).parent().attr('class');
            if (sharePopup.find(otherTabContent).css('display') != 'none') {
              sharePopup.find(otherTabContent).animate({
                'height': 'hide',
                'opacity': 'hide'
              });
              $(this).toggleClass('selected');
            }
          });
          $(this).toggleClass('selected');
          sharePopup.find(tabContent).animate({
            'height': 'show',
            'opacity': 'show'
          });
        }
        return false;
      });
    });
  }
}
